/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var disableBulkSelect = ko.observable(false),
        isLoading = ko.observable(false),
        disabledRowIds = ko.observable([]);

    return {
        disableBulkSelect: disableBulkSelect,
        isLoading: isLoading,
        disabledRowIds: disabledRowIds
    };
});
